Subject: Re: [PATCH 3/8] Documentation: rename docbook-xsl-172 attribute to git-asciidoc-no-roff

From: Michael J Gruber <[email-masked]>
Date: Thu, 26 Mar 2009 19:49:02 +0100

Junio C Hamano venit, vidit, dixit 26.03.2009 17:47:
> Jeff King <[email-masked]> writes:
> 
>> On Tue, Mar 24, 2009 at 02:48:52PM -0500, Chris Johnsen wrote:
>>
>>> I am not opposed to providing more version-specific controls, but I am not 
>>> sure which versions are important enough to justify their own variables. 
>>> Are you indicating that 1.73 is important enough because it was a "return 
>>> to sanity" after 1.72?
>>
>> No, mainly because it is what is shipped in the last version of Debian,
>> which means it is a major enough version that there will be a lot of
>> people using it.
>>
>> But let's just start with adding the tweakable knobs (which your series
>> is already doing), and see in what ways they need to be tweaked for
>> popular platforms before going overboard.
> 
> When I was trying out the series yesterday, I was wondering if this is
> something we can autodetect.
> 
> Output from "asciidoc --version" is easily machine parsable for giving
> asciidoc7compatible aka ASCIIDOC8, but I couldn't come up with anything
> simpler than probing a few hardcoded paths under /usr/share/sgml; that
> approach is unacceptable because would not work if your stylesheets are in
> somewhere we do not know about.  Ideally, we should be able to ask the
> tools we invoke (e.g. xmlto) to get that information.

Maybe run asciidoc/xmlto on a minimal test file and check the output?
"autoconf lite", so to say.

Michael